{#<pagetitle>NHS.UK | Add vaccine date</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}

<form action="polio-dates" class="form" method="post" name="addVaccineDetails">
    {{
        input({
            "formGroup": {
                classes: "nhsuk-date-input__item"
            },
            "label": {
                "text": 'count',
                "locale" : locale,
                "classes": "nhsuk-u-visually-hidden"
            },
            id: "vaccineCount",
            name: "vaccineCount",
            value: data.Vaccine.VaccinationCount,
            type: "hidden"
        })
    }}
    <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}">
        <fieldset class="nhsuk-fieldset" role="group">
            <legend class="nhsuk-fieldset__legend nhsuk-label--l">
                {{
                    heading({
                        subHeading: { text: 'polio-dates.section.heading'},
                        text:  'polio-dates.h1',
                        classes: 'nhsuk-heading-l govuk-heading-l',
                        locale: locale
                    })
                }}
            </legend>
            {{
                p({
                    "text": 'common.vaccine.item17',
                    "classes" : 'nhsuk-heading-xs',
                    locale:locale
                })
            }}

            {% for error in errors %}
                <span class="nhsuk-error-message" id="vaccine-location-error" style="display: block;">
                    {{ __({phrase: error.msg, locale: error.locale }) }}
                </span>
            {% endfor %}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'polio-dates.input1',
                    locale:locale
                },
                id: "vaccineDay",
                name: "vaccineDay",
                classes: "nhsuk-input--width-2",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('day', data.body.vaccineDay),
                inputmode: "numeric"
            })
        }}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'polio-dates.input2',
                    locale:locale
                },
                id: "vaccineMonth",
                name: "vaccineMonth",
                classes: "nhsuk-input--width-2",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('month', data.body.vaccineMonth),
                inputmode: "numeric"
            })
        }}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "fieldset": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'polio-dates.input3',
                    locale:locale
                },
                id: "vaccineYear",
                name: "vaccineYear",
                classes: "nhsuk-input--width-4",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('year', data.body.vaccineYear),
                inputmode: "numeric"
            })
        }}
            <br/>
            <br/>
            {{
            checkboxes({
                "id": "PolioDatesUnknown",
                "name": "PolioDatesUnknown",
                classes: "nhsuk-date-input__item",
                "items": [
                    {
                        "name":'PolioDatesUnknown',
                        "id": "Unknown",
                        "value": "Unknown",
                        "datapoint": data.Claim.PolioDatesUnknown,
                        "attributes" : "PolioDatesUnknown",
                        "text": "polio-dates.unknown",
                        locale: locale,
                        checked: 'Unknown' === data.MetaData.DateUnknown
                    }
                ]
            })
        }}

        </fieldset>
    </div>
    <br/>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}

</form>
</div>